mutation CreateAsyncReport($input: CreateAsyncReportInput!) {
createAsyncReport(input: $input) {
asyncReportResponse {
requestId
}
errors {
... on JwtTokenMissingError {
advice
code
message
}
... on FailedToCreateAsyncReportError {
message
}
}
}
}
{
"input": {
"authorizationSummariesInput": {
"asyncReportsDetailsInput": "example",
"authorizationSummaryReportInput": "example",
"where": "example"
},
"feesInput": {
"asyncReportsDetailsInput": "example",
"feesReportInput": "example",
"where": "example"
},
"feeSummariesInput": {
"asyncReportsDetailsInput": "example",
"feeSummaryReportInput": "example",
"where": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "mutation CreateAsyncReport($input: CreateAsyncReportInput!) {\n createAsyncReport(input: $input) {\n asyncReportResponse {\n requestId\n }\n errors {\n ... on JwtTokenMissingError {\n advice\n code\n message\n }\n ... on FailedToCreateAsyncReportError {\n message\n }\n }\n }\n}",
"variables": {
"input": {
"authorizationSummariesInput": {
"asyncReportsDetailsInput": "example",
"authorizationSummaryReportInput": "example",
"where": "example"
},
"feesInput": {
"asyncReportsDetailsInput": "example",
"feesReportInput": "example",
"where": "example"
},
"feeSummariesInput": {
"asyncReportsDetailsInput": "example",
"feeSummaryReportInput": "example",
"where": "example"
}
}
}
}'
{
"data": {
"createAsyncReport": {
"asyncReportResponse": {
"requestId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
},
"errors": [
{
"__typename": "JwtTokenMissingError",
"advice": "example",
"code": "example",
"message": "example"
}
]
}
}
}
createAsyncReport
Request Async and Downloadable reports
mutation CreateAsyncReport($input: CreateAsyncReportInput!) {
createAsyncReport(input: $input) {
asyncReportResponse {
requestId
}
errors {
... on JwtTokenMissingError {
advice
code
message
}
... on FailedToCreateAsyncReportError {
message
}
}
}
}
{
"input": {
"authorizationSummariesInput": {
"asyncReportsDetailsInput": "example",
"authorizationSummaryReportInput": "example",
"where": "example"
},
"feesInput": {
"asyncReportsDetailsInput": "example",
"feesReportInput": "example",
"where": "example"
},
"feeSummariesInput": {
"asyncReportsDetailsInput": "example",
"feeSummaryReportInput": "example",
"where": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "mutation CreateAsyncReport($input: CreateAsyncReportInput!) {\n createAsyncReport(input: $input) {\n asyncReportResponse {\n requestId\n }\n errors {\n ... on JwtTokenMissingError {\n advice\n code\n message\n }\n ... on FailedToCreateAsyncReportError {\n message\n }\n }\n }\n}",
"variables": {
"input": {
"authorizationSummariesInput": {
"asyncReportsDetailsInput": "example",
"authorizationSummaryReportInput": "example",
"where": "example"
},
"feesInput": {
"asyncReportsDetailsInput": "example",
"feesReportInput": "example",
"where": "example"
},
"feeSummariesInput": {
"asyncReportsDetailsInput": "example",
"feeSummaryReportInput": "example",
"where": "example"
}
}
}
}'
{
"data": {
"createAsyncReport": {
"asyncReportResponse": {
"requestId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
},
"errors": [
{
"__typename": "JwtTokenMissingError",
"advice": "example",
"code": "example",
"message": "example"
}
]
}
}
}
Mutation
Arguments
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show Possible enum values
Show Possible enum values
Show child attributes
Show child attributes
Return type
CreateAsyncReportPayload!
Show child attributes
Show child attributes
mutation CreateAsyncReport($input: CreateAsyncReportInput!) {
createAsyncReport(input: $input) {
asyncReportResponse {
requestId
}
errors {
... on JwtTokenMissingError {
advice
code
message
}
... on FailedToCreateAsyncReportError {
message
}
}
}
}
{
"input": {
"authorizationSummariesInput": {
"asyncReportsDetailsInput": "example",
"authorizationSummaryReportInput": "example",
"where": "example"
},
"feesInput": {
"asyncReportsDetailsInput": "example",
"feesReportInput": "example",
"where": "example"
},
"feeSummariesInput": {
"asyncReportsDetailsInput": "example",
"feeSummaryReportInput": "example",
"where": "example"
}
}
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "mutation CreateAsyncReport($input: CreateAsyncReportInput!) {\n createAsyncReport(input: $input) {\n asyncReportResponse {\n requestId\n }\n errors {\n ... on JwtTokenMissingError {\n advice\n code\n message\n }\n ... on FailedToCreateAsyncReportError {\n message\n }\n }\n }\n}",
"variables": {
"input": {
"authorizationSummariesInput": {
"asyncReportsDetailsInput": "example",
"authorizationSummaryReportInput": "example",
"where": "example"
},
"feesInput": {
"asyncReportsDetailsInput": "example",
"feesReportInput": "example",
"where": "example"
},
"feeSummariesInput": {
"asyncReportsDetailsInput": "example",
"feeSummaryReportInput": "example",
"where": "example"
}
}
}
}'
{
"data": {
"createAsyncReport": {
"asyncReportResponse": {
"requestId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
},
"errors": [
{
"__typename": "JwtTokenMissingError",
"advice": "example",
"code": "example",
"message": "example"
}
]
}
}
}
Was this page helpful?